Subject: Re: Wrong error message when cloning from http gitlab (and everything still works anyway)

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Aug 2024 08:40:22 -0700

Marlon Regenhardt <[email-masked]> writes:

> I'm currently setting up my new work PC (now Windows 11) and got a weird error message when cloning our repository:
>
>  - run git clone on an http GitLab instance, in my case I ran `git clone http://gitlab.company-local-domain.de/group/project LocalRepo-Name`
>    Note:
>     - http, not https
>     - GitLab
>  - Get the following error message:
>    fatal: Unencrypted HTTP is not supported for GitHub. Ensure the repository remote URL is using HTTPS.

A funny thing is that

    $ git grep "Unencrypted HTTP is not"

in the entire codebase of Git gives no hits.  If this message is
coming from some add-on Git-for-Windows ships with, a better place
to raise this issue would be Git-for-Windows project's tracker page

  https://github.com/git-for-windows/git/issues

than here on this list.  I tried

  https://github.com/search?q=org%3Agit-for-windows%20%22Unencrypted%20HTTP%22&type=code

to see if they have that string, which found no hits, so there may
be some other components, other than Git project ships and
Git-for-windws project adds, that is in play.